/* 
	common.js 
	behaviors and common functions for all pages
*/
dojo.getObject("org", true);
dojo.getObject("dojotoolkit", true);

if(dojo.getObject("console")){
	console.info("common.js loaded");
}

//	Full Menu setup
var d_fullMenuState=false;
dojo.require("dojo.fx");
dojo.addOnLoad(function(){
	var m=dojo.byId("main-menu-block");
	if(!m){ return; }
	var n=m.cloneNode(true);
	n.id="main-menu-block-top";
	var s=n.style;
	s.overflow="hidden";
	s.height="auto";
	s.display="none";
	var b=dojo.byId("banner-block");
	if(b){ 
		dojo.addClass(dojo.byId("nav-fullmenu"),"closed");
		b.parentNode.insertBefore(n, b); 
	}
	
	//	hook up the full menu button
	//	for now, no fx love but maybe in a bit.
	dojo.query("#nav-fullmenu").onclick(function(e){
		var m=dojo.byId("main-menu-block-top");
		var n=e.target.parentNode;
		if(m){
			if(!d_fullMenuState){
				dojo.removeClass(n, "closed");
				dojo.addClass(n, "opened");
				dojo.fx.wipeIn({
					node: m,
					duration:400,
					onEnd: function(){ d_fullMenuState=!d_fullMenuState; }
				}).play();
			} else {
				dojo.removeClass(n, "opened");
				dojo.addClass(n, "closed");
				dojo.fx.wipeOut({
					node: m,
					duration:400,
					onEnd: function(){ d_fullMenuState=!d_fullMenuState; }
				}).play();
			}
		}
	});
});

//	home page fixes.  yay drupal.
dojo.addOnLoad(function(){
	var clearHead=function(){
		//	if you're logged in and can edit.
		var h2=dojo.query("#tabs-wrapper h2.with-tabs")[0];
		if(h2){ h2.parentNode.removeChild(h2); }

		// if you aren't logged in or can't edit.
		h2=dojo.query("#main-container > h2")[0];
		if(h2){ h2.parentNode.removeChild(h2); }
	};
	if(dojo.byId("dash-index-content")){
		clearHead();
	}
	else if(dojo.query("div.dash-sales-block").length ||
			dojo.query("div.view-FAQs").length){
		clearHead();
	}


});

/*
if(dojo.isIE){
djConfig.isDebug = true;
dojo.require("dojo._firebug.firebug");
}
*/

dojo.connect(window, "onload", function(){
	//	make sure any images in the blog section is no bigger than 400px
	dojo.query(".latest-news-teaser img").forEach("if( (dojo.style(item, 'width')>400) || (item.offsetWidth > 400) ){ item.style.width = '400px'; }");
});

// feed icon fixes.
dojo.addOnLoad(function(){
	dojo.query("a.feed-icon[href='/']").orphan();
});

//	Tab links for the sale pages
(function(){
	function select(id){
		//	highlight the link
		console.log("We are selecting ", id);
		dojo.query("div.dash-sales-nav ul li a").forEach(function(node){
			if(node.getAttribute("href")=="#"+id){
				node.parentNode.className="selected";
			} else {
				node.parentNode.className="";
			}
		});
		
		//	actual content
		dojo.query("div.dash-sales-block div.dash-sales-section").forEach(function(node){
			if(node.getAttribute("id")==id){
				node.style.display="block";
			} else {
				node.style.display="none";
			}
		});
	}
	
	dojo.addOnLoad(function(){
		dojo.query("div.dash-sales-nav ul li a").connect("onclick", null, function(e){
			select(e.target.getAttribute("href").substr(1));
			dojo.stopEvent(e);
		});

		//	check for a hash on the url
		var a=document.location.hash.substring(1);
		console.log(a);
		if(a){
			select(a);
		}
	});
})();

//	force input format open on any page
dojo.addOnLoad(function(){
	var l=dojo.query("fieldset.collapsed > legend")[0];
	if(l){
		if(l.innerHTML=="Input format"){
			dojo.removeClass(l.parentNode, "collapsed");
		}
	}
});
